local packer_settings = {
  git = {
    clone_timeout = 99999,
  },
}

return require("packer").startup(function(use)
    use { 'anuvyklack/fold-preview.nvim', requires = 'anuvyklack/keymap-amend.nvim'}
    use "anuvyklack/pretty-fold.nvim"
    use "nvim-treesitter/nvim-treesitter"

    use { "neoclide/coc.nvim", branch="release" }

    use {
        "nvim-lualine/lualine.nvim",
        requires = { "kyazdani42/nvim-web-devicons", opt = true }
    }

    use "LunarVim/Onedarker.nvim"

    use {
        "nvim-telescope/telescope.nvim",
        tag = '0.1.2',
        requires = { {'nvim-lua/plenary.nvim'}, {"nvim-tree/nvim-web-devicons"} }
    }

    use {"sar/AutoSave.nvim"}

    use "habamax/vim-godot"

    use({
        "iamcco/markdown-preview.nvim",
        run = function() vim.fn["mkdp#util#install"]() end,
    })

    use "lewis6991/gitsigns.nvim"
end)
